Name:		mp3splt
Summary:	Command line utility to split mp3 and ogg files
Version:	2.6
Release:	%mkrel 2
#Source0:	http://ioalex.net/testing_downloads/snapshots/%{rev}/%{name}-%{version}.tar.gz
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Group:		Sound/Utilities
License:        GPLv2+
URL:		http://mp3splt.sourceforge.net/
BuildRequires:	gettext-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	mad-devel
BuildRequires:	libmp3splt-devel

%description
Mp3Splt is a command line utility to split MP3 (VBR supported) and Ogg Vorbis
files between a beginning and an end time position, without decoding.

It's very useful to split large mp3/ogg to make smaller files or to split
entire albums to obtain original tracks. If you want to split an album, you can
select split points and filenames manually or you can get them automatically
from CDDB (internet or a local file) or from .cue files. Supports also
automatic silence split, that can be used also to adjust cddb/cue splitpoints.

Otherwise if you have a file created either with Mp3Wrap or AlbumWrap you can
extract tracks just in few seconds.

%prep
%setup -q

%build
# to get latest files
autoreconf -vfi
%configure2_5x \
	--enable-oggsplt_symlink \
	--enable-flacsplt_symlink \
	--disable-rpath
%make

%install
mkdir -p %{buildroot}%{_mandir}/man1
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_bindir}/mp3splt
%{_bindir}/oggsplt
%{_bindir}/flacsplt
%{_mandir}/man1/mp3splt.*
%{_mandir}/man1/oggsplt.*
%{_mandir}/man1/flacsplt.*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.6-2.mga4
+ Revision: 530501
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 wally <wally> 2.6-1.mga4
+ Revision: 457811
- new version 2.6
- enable experimental FLAC support

* Fri May 24 2013 wally <wally> 2.5.2-1.mga4
+ Revision: 426358
- fix release

* Thu May 23 2013 wally <wally> 2.5.2-0.1.mga4
+ Revision: 425340
- new version 2.5.2

* Sat Jan 12 2013 umeabot <umeabot> 2.4.3-3.mga3
+ Revision: 360369
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 2.4.3-2.mga3
+ Revision: 324587
- update RPM group

* Sun Sep 02 2012 wally <wally> 2.4.3-1.mga3
+ Revision: 287372
- new version 2.4.3
- clean .spec a bit

* Mon Jun 04 2012 wally <wally> 2.4.2-1.mga3
+ Revision: 254367
- new version 2.4.2

* Wed Nov 16 2011 wally <wally> 2.4.1-1.mga2
+ Revision: 168289
- new version 2.4.1

* Fri Oct 14 2011 wally <wally> 2.4.0.934-1.mga2
+ Revision: 155214
- new snapshot

* Fri Oct 07 2011 wally <wally> 2.4.0.932-1.mga2
+ Revision: 152860
- new snapshot 2.4.0.932
- new version 2.4
- drop buildroot definition
- imported package mp3splt


* Sun Mar 06 2011 Jani Välimaa <wally@mandriva.org> 2.3a-1mdv2011.0
+ Revision: 642247
- new version 2.3a

* Fri Mar 04 2011 Jani Välimaa <wally@mandriva.org> 2.3-1
+ Revision: 641582
- new version 2.3

* Fri Oct 01 2010 Jani Välimaa <wally@mandriva.org> 2.2.9-1mdv2011.0
+ Revision: 582293
- new version 2.2.9

* Fri Aug 27 2010 Jani Välimaa <wally@mandriva.org> 2.2.8-1mdv2011.0
+ Revision: 573593
- new version 2.2.8
- drop unneeded patch

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 2.1c-3mdv2009.0
+ Revision: 252945
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.1c-1mdv2008.1
+ Revision: 136608
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 17 2007 Adam Williamson <awilliamson@mandriva.org> 2.1c-1mdv2008.0
+ Revision: 52981
- add patch0 (fix build with GCC 4)
- spec clean
- new release 2.1c
- Import mp3splt


* Thu Nov  4 2004 Pascal Terjan <pterjan@mandrake.org> 2.1-1mdk
- New release 2.1

* Tue Apr 04 2004 Pascal Terjan <pterjan@mandrake.org> 2.0e-1mdk
- 2.0e

* Thu Mar 11 2004 Pascal Terjan <pterjan@mandrake.org> 2.0d-1mdk
- 2.0d

* Fri Jan 10 2004 Pascal Terjan <pterjan@mandrake.org> 2.0-1mdk
- 2.0

* Thu Nov 13 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.9-2mdk
- fix typo in summary

* Thu Nov 06 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.9-1mdk
- new in contribs
